#include "HeightMap.hh"

int main(int argc, const char* argv[])
{
    const char* filepath = argv[1];
    HeightMap map(filepath); 
    std::cout << "x: " << map.x_size << "    y: " << map.y_size << "\n";
    for (int y = 0; y < map.y_size; y++)
    {
        for (int x = 0; x < map.x_size; x++)
        {
            std::cout << map.get_pixel(x, y) << " ";
        }
        std::cout << "\n";
    }
    
}